Bug 1852137 - FTBFS: cyrus-imapd, perl-Cyrus
Summary: FTBFS: cyrus-imapd, perl-Cyrus
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: cyrus-imapd
Version: rawhide
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
Assignee: Pavel Zhukov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F33FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2020-06-29 20:15 UTC by Igor Raits
Modified: 2020-07-13 04:41 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-13 04:41:16 UTC
Type: ---


Attachments (Terms of Use)

Description Igor Raits 2020-06-29 20:15:58 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (ignatenkobrain@fedoraproject.org).

Your package (cyrus-imapd) Fails To Install in Fedora 33:

can't install cyrus-imapd:
  - nothing provides perl(:MODULE_COMPAT_5.30.2) needed by cyrus-imapd-3.0.13-7.fc33.x86_64
  
can't install perl-Cyrus:
  - nothing provides libperl.so.5.30()(64bit) needed by perl-Cyrus-3.0.13-7.fc33.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/rawhide-gating/multi-builds/

Thanks!

Comment 1 Petr Pisar 2020-06-30 12:10:46 UTC
This package was skipped when rebasing perl. It is being built right now <https://koji.fedoraproject.org/koji/buildinfo?buildID=1530675>.

Comment 2 Pavel Zhukov 2020-07-01 08:18:55 UTC
(In reply to Petr Pisar from comment #1)
> This package was skipped when rebasing perl. It is being built right now
> <https://koji.fedoraproject.org/koji/buildinfo?buildID=1530675>.

Looks like build is stuck in wating. Is it know issue or build should be rescheduled?

Comment 3 Petr Pisar 2020-07-01 09:18:18 UTC
I have no idea. It's not my package.

I can see that all builds failed with:

Suite: backend
  Test: badhost ...passed
  Test: badservice ...passed
  Test: sasl_plain ...passed
  Test: sasl_digestmd5 ...passed
  Test: multiline_caps ...passed
  Test: oneline_caps ...passed
  Test: starttls ...FAILED
    1. ./cunit/backend.testc:408  - CU_ASSERT_PTR_NOT_NULL_FATAL(be)

and then make did not return. I suspect that tests sports a server that does not start and hang indefinitely waiting on the server. Fedora 33 disabled SHA1 algorithm recently and this can be the result.

Jitka, please cancel the build and retry it again.

Comment 4 Pavel Zhukov 2020-07-01 11:07:53 UTC
(In reply to Petr Pisar from comment #3)
> I have no idea. It's not my package.
> 
> I can see that all builds failed with:
> 
> Suite: backend
>   Test: badhost ...passed
>   Test: badservice ...passed
>   Test: sasl_plain ...passed
>   Test: sasl_digestmd5 ...passed
>   Test: multiline_caps ...passed
>   Test: oneline_caps ...passed
>   Test: starttls ...FAILED
>     1. ./cunit/backend.testc:408  - CU_ASSERT_PTR_NOT_NULL_FATAL(be)
> 
> and then make did not return. I suspect that tests sports a server that does
> not start and hang indefinitely waiting on the server. Fedora 33 disabled
> SHA1 algorithm recently and this can be the result.
> 
> Jitka, please cancel the build and retry it again.
Ok. sounds familiar. I'll check what's going on

Comment 5 Jitka Plesnikova 2020-07-01 11:16:56 UTC
I canceled it and run build for f33

https://koji.fedoraproject.org/koji/taskinfo?taskID=46419360

Comment 6 Jitka Plesnikova 2020-07-03 06:17:34 UTC
It ends with the same result, so I cancel the build.

Comment 8 Pavel Zhukov 2020-07-10 10:25:51 UTC
Probably it's not bad idea to regenerate these certificates with sscg for unit tests just like it's done in -init.service in Fedora to avoid such kind of issues in the future.


Note You need to log in before you can comment on or make changes to this bug.